Skip to main content

Experience View Actions

https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Below are the various requests that can be performed against the Experience View resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an experience view

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Organization, all.Organization.bounded, all.User, all.User.bounded, all.User.cli, experienceView.*, or experienceView.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VIEW_IDID associated with the experience view575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Successful Responses​

CodeTypeDescription
200SuccessIf experience view was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience view was not found

Get​

Retrieves information on an experience view

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.cli, all.User.read, experienceView.*, or experienceView.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VIEW_IDID associated with the experience view575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
versionNVersion of this experience view to returndevelopversion=develop

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Successful Responses​

CodeTypeDescription
200Experience ViewExperience view information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience view was not found

Linked Resources​

Retrieves information on resources linked to an experience view

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID/linkedResources

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.cli, all.User.read, experienceView.*, or experienceView.linkedResources.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VIEW_IDID associated with the experience view575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
versionNVersion of this experience view to querydevelopversion=develop
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by returned workflowsfalseincludeCustomNodes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID/linkedResources

Successful Responses​

CodeTypeDescription
200Experience Linked ResourcesLinked resource information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience view was not found

Patch​

Updates information about an experience view

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Organization, all.Organization.bounded, all.User, all.User.bounded, all.User.cli, experienceView.*, or experienceView.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VIEW_IDID associated with the experience view575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience View Patch schema. For example, the following would be a valid body for this request:

{
"body": "New Content! <p>{{newData}}</p>",
"viewTags": {
"customKey": "newCustomValue"
}
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"body":"New Content! <p>{{newData}}</p>","viewTags":{"customKey":"newCustomValue"}}' \
https://api.losant.com/applications/APPLICATION_ID/experience/views/EXPERIENCE_VIEW_ID

Successful Responses​

CodeTypeDescription
200Experience ViewUpdated experience view information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience view was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Experience Linked Resources​

        The body of an experience linked resources response

        Experience Linked Resources Schema​

        • ▶
          {} 4 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 4 keys
            • ▶
              {} 4 keys
              • ▶
                {} 4 keys
                • ▶
                  {} 4 keys
                  • ▶
                    {} 4 keys
                  • false

                Experience Linked Resources Example​

                • ▶
                  {} 4 keys
                  • ▶
                    {} 8 keys
                    • ▶
                      {} 8 keys
                      • ▶
                        {} 8 keys
                        • ▶
                          {} 9 keys

                        Experience View​

                        Schema for a single Experience View

                        Experience View Schema​

                        • ▶
                          {} 3 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • ▶
                            {} 18 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 3 keys
                                                • ▶
                                                  {} 3 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 3 keys

                                                            Experience View Example​

                                                            • ▶
                                                              {} 10 keys
                                                              • "59cc5c628246c6caed4b16c1"
                                                              • "59cc5c628246c6caed4b16c1"
                                                              • "575ec8687ae143cd83dc4a97"
                                                              • "2016-06-13T04:00:00.000Z"
                                                              • "2016-06-13T04:00:00.000Z"
                                                              • "My Page View"
                                                              • "page"
                                                              • "<p>{{data}}</p>"
                                                              • "59cc5cad8246c6caed4b16c2"
                                                              • ▶
                                                                {} 1 key

                                                              Experience View Patch​

                                                              Schema for the body of an Experience View modification request

                                                              Experience View Patch Schema​

                                                              • ▶
                                                                {} 4 keys
                                                                • "http://json-schema.org/draft-07/schema#"
                                                                • "object"
                                                                • ▶
                                                                  {} 6 keys
                                                                  • ▶
                                                                    {} 3 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 3 keys
                                                                            • ▶
                                                                              {} 3 keys
                                                                            • false

                                                                          Experience View Patch Example​

                                                                          • ▶
                                                                            {} 2 keys
                                                                            • "New Content! <p>{{newData}}</p>"
                                                                            • ▶
                                                                              {} 1 key

                                                                            Success​

                                                                            Schema for reporting a successful operation

                                                                            Success Schema​

                                                                            • ▶
                                                                              {} 3 keys
                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                              • "object"
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 2 keys

                                                                              Success Example​

                                                                              • ▶
                                                                                {} 1 key
                                                                                • true

                                                                              Was this page helpful?


                                                                              Still looking for help? You can also search the Losant Forums or submit your question there.